Change PIN
POST
/v1/auth/pin/change
const url = 'https://api.parasta.io/v1/auth/pin/change';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"currentPin":"example","newPin":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/auth/pin/change \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "currentPin": "example", "newPin": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
currentPin
required
string
newPin
required
string
Example generated
{ "currentPin": "example", "newPin": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
changed
boolean
Example generated
{ "changed": true}Current PIN mismatch
Media type application/json
object
code
required
Error code prefixed with the service namespace (AUTH_, ACCOUNT_, WALLET_, DID_, ASSET_, TRANSFER_, EXCHANGE_).
string
message
required
string
details
object
key
additional properties
any
Example generated
{ "code": "example", "message": "example", "details": {}}PIN locked
Media type application/json
object
code
required
Error code prefixed with the service namespace (AUTH_, ACCOUNT_, WALLET_, DID_, ASSET_, TRANSFER_, EXCHANGE_).
string
message
required
string
details
object
key
additional properties
any
Example generated
{ "code": "example", "message": "example", "details": {}}